﻿using System.Collections.Generic;
using System.Linq;
using System.Windows;
using WpfApp1.SQL;

namespace WpfApp1.AddEdit
{
    /// <summary>
    /// Логика взаимодействия для AddEditItems.xaml
    /// </summary>
    public partial class AddEditItems : Window
    {
        public Agent CurrentAgent { get; set; }
        public AgentType CurrentAgentType { get; set; }

        //public List<AgentType> GetItemsType
        //{
        //    get => CurrentAgentType.Title.ToList();
        //}


        public string GetHeader
        {
            get => CurrentAgent.ID == 0 ? "Добавить новый агент" : "Редактирование существующего агента";
        }

        public AddEditItems(Agent a)
        {
            InitializeComponent();

            CurrentAgent = a;

            DataContext = this;
        }
    }
}